Zeitgeist.Subject.Subject.from_variant – zeitgeist-2.0 Reference Manual

# Subject.from_variant

## Description:

public Subject.from_variant (Variant subject_variant) throws DataModelError

Create a new Subject structure from predefined GLib.Variant data

## Parameters:

subject_variant | A GLib.Variant decscribing the subject data.

## Returns:

A newly create Subject instance. The returned subject will have a floating reference which will be consumed if you pass the event to any of the methods provided by this library (like adding it to an event).